> For the complete documentation index, see [llms.txt](https://docs.ult.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ult.dev/components/link.md).

# Link

### Styles

* Text Styles
* Flexbox Styles
* View Styles
* Transform Styles

### Props

| Name                 | Type                                       | Description                                                                                                                                                                                                                                                                                                   |
| -------------------- | ------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **accessibilityId**  | `string`                                   | <ul><li>It is hard or impossible to tell by a reference to an instance of a component from where this component has been instantiated</li><li>You can assign this property and check instance.props.accessibilityId</li><li>For example accessibilityId is used in View's FocusArbitrator callback </li></ul> |
| **allowFontScaling** | `boolean`                                  | <ul><li>Should fonts be scaled according to system setting?</li></ul>                                                                                                                                                                                                                                         |
| **autoFocus**        | `boolean`                                  | <ul><li>Should be focused when the component is mounted, see also View's arbitrateFocus property</li></ul>                                                                                                                                                                                                    |
| **numberOfLines**    | `number`                                   | <ul><li>For non-zero values, truncates with ellipsis if necessary</li></ul>                                                                                                                                                                                                                                   |
| **onHoverStart**     | `(e: SyntheticEvent) => void`              | <ul><li>Called when the mouse cursor enters or leaves the view bounds</li></ul>                                                                                                                                                                                                                               |
| **onHoverEnd**       | `(e: SyntheticEvent) => void`              | <ul><li>Called when the mouse cursor enters or leaves the view bounds </li></ul>                                                                                                                                                                                                                              |
| **onPress**          | `(e: SyntheticEvent, url: string) => void` | <ul><li>Event called when the touch or mouse button is released within the bounds of the view and the press has not been canceled</li></ul>                                                                                                                                                                   |
| **onLongPress**      | `(e: SyntheticEvent, url:string) => void`  | <ul><li>Event called when a long touch or mouse (> 1000ms) button is released within the bounds of the view and the press has not been canceled</li></ul>                                                                                                                                                     |
| **onContextMenu**    | `(e: MouseEvent) => void`                  | <ul><li>Event called when context menu is triggered, either by right mouse button click or context menu key</li></ul>                                                                                                                                                                                         |
| **selectable**       | `boolean`                                  | <ul><li>Can the link be included in a text selection?</li></ul>                                                                                                                                                                                                                                               |
| **style**            | `LinkStyleRuleSet\| LinkStyleRuleSet[]`    | <ul><li>See below for supported styles</li></ul>                                                                                                                                                                                                                                                              |
| **testId**           | `string`                                   | <ul><li>ID that can be used to identify the instantiated element for testing purposes</li></ul>                                                                                                                                                                                                               |
| **title**            | `string`                                   | <ul><li>Text for a tooltip</li></ul>                                                                                                                                                                                                                                                                          |
| **url**              | `string`                                   | <ul><li>URL to follow for hyperlink</li></ul>                                                                                                                                                                                                                                                                 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ult.dev/components/link.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
